%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	Widgets for audio applications
Name: 		phat
Version: 	0.3.1
Release: 	%mkrel 9
License: 	GPL+
Group: 		System/Libraries
# Upstream's dead, RIP...no source location
Source0:	%{name}-%{version}.tar.bz2
Patch0:		phat-0.3.1-configure.patch
Patch1:		phat-0.3.1-automake-1.13.patch
Requires:	docbook-dtd30-sgml
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libgnomecanvas-2.0)
BuildRequires:	gtk-doc

%description
PHAT is a collection of GTK+ widgets geared toward pro-audio apps. The goal
is to eliminate duplication of effort and provide some standardization
(well, at least for GTK+ apps).

%package -n %{libname}
Summary: Widgets for audio applications
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
PHAT is a collection of GTK+ widgets geared toward pro-audio apps. The goal
is to eliminate duplication of effort and provide some standardization
(well, at least for GTK+ apps).

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname phat 0 -d}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.3.1-9.mga6
+ Revision: 941419
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-8.mga5
+ Revision: 744642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 687077
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-6.mga4
+ Revision: 516462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-5.mga3
+ Revision: 375647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - build with automake 1.13

* Wed Oct 17 2012 fwang <fwang> 0.3.1-4.mga3
+ Revision: 307651
- update file list
- cleanup spec

* Fri Jan 28 2011 jquelin <jquelin> 0.3.1-4.mga1
+ Revision: 42917
- mageia rebuild
- imported package phat


* Mon Feb 22 2010 Funda Wang <fwang@mandriva.org> 0.3.1-4mdv2010.1
+ Revision: 509759
- clean spec

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Aug 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.1-3mdv2009.0
+ Revision: 277215
- protect major in file list
- s,$RPM_BUILD_ROOT,%%{buildroot}
- add configure.patch:
  	+ allow external CFLAGS
  	+ add -lX11 to libs to fix build (underlinking)
  	+ don't build docs (breaks build, can't be bothered fixing)
- new license policy
- new devel policy
- drop unnecessary defines

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - import phat

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Fix BuildRequires

* Sun Jul 24 2005 Austin Acton <austin@mandriva.org> 0.3.1-1mdk
- 0.3.1
- source URL

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-2mdk
- fix requires

* Mon Oct 4 2004 Austin Acton <austin@mandrake.org> 0.2.3-1mdk
- initial build
